import img.Picture;

import java.awt.Color;
import java.awt.DisplayMode;
import java.awt.Graphics2D;
import java.awt.GraphicsConfiguration;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.PrintStream;
import java.util.Collection;
import java.util.Date;
import java.util.HashSet;
import java.util.Scanner;
import java.util.Set;

import javax.swing.JComboBox;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 */
public class L11AppSubstring {

	public static void main(String[] args) {
		PrintStream output = System.out;
		Scanner input = new Scanner(System.in);

		output.println("Enter two slash-delimited ints:");
		try {
			String str = input.nextLine();
			int slash = str.indexOf("/");
			String left = str.substring(0, slash);
			String right = str.substring(slash + 1);
			output.println("Left substring: " + left);
			output.println("Right substring: " + right);
			int op1 = Integer.parseInt(left);
			int op2 = Integer.parseInt(right);
			int result = op1 / op2;
			output.println(op1 + "/" + op2 + " = " + result);
		} catch (NumberFormatException e) {
			output.println("Int not entered - can't be parsed.");
		} catch (StringIndexOutOfBoundsException e) {
			output.println("No slash in input");
		} catch (ArithmeticException e) {
			output.println("answer is Infinity.");
		}
		output.println("End.");
	}
}
